FunctionMapperFactory (Apache Tomcat 8.5.78 API Documentation)

Package org.apache.el.lang

## Class FunctionMapperFactory

- java.lang.Object
- - javax.el.FunctionMapper
  - - org.apache.el.lang.FunctionMapperFactory

-     public class FunctionMapperFactory
      extends FunctionMapper

  Author:
    Jacob Hookom [jacob@hookom.net]

- - ### Field Summary

    Fields
    Modifier and Type | Field | Description
    --- | --- | ---
    `protected FunctionMapperImpl` | `memento` |
    `protected FunctionMapper` | `target` |

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `FunctionMapperFactory​(FunctionMapper mapper)` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `FunctionMapper` | `create()` |
    `void` | `mapFunction​(String prefix, String localName, Method method)` | Map a method to a function name.
    `Method` | `resolveFunction​(String prefix, String localName)` |

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### memento

          protected FunctionMapperImpl memento

    - #### target

          protected final FunctionMapper target

  - ### Constructor Detail

    - #### FunctionMapperFactory

          public FunctionMapperFactory​(FunctionMapper mapper)

  - ### Method Detail

    - #### resolveFunction

          public Method resolveFunction​(String prefix,
                                        String localName)

      Specified by:
        `resolveFunction` in class `FunctionMapper`

    - #### mapFunction

          public void mapFunction​(String prefix,
                                  String localName,
                                  Method method)

      Description copied from class: `javax.el.FunctionMapper`
      Map a method to a function name.
      Overrides:
        `mapFunction` in class `FunctionMapper`
      Parameters:
        `prefix` - Function prefix
        `localName` - Function name
        `method` - Method

    - #### create

          public FunctionMapper create()